For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get supportGet a Demo
  • Get Started
    • Welcome
    • Authorisation
    • Webhooks
  • API Reference
      • GETList providers
      • POSTCreate provider
      • GETGet provider by ID
      • PUTUpdate provider
      • DELDelete provider
LogoLogo
Get supportGet a Demo
API ReferenceProviders

List providers

GET
https://api.caresquareapi.com/api/public/v1/providers
GET
/api/public/v1/providers
$curl https://api.caresquareapi.com/api/public/v1/providers \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "id": "string",
5 "entity_name": "string",
6 "abn": "string",
7 "email": "string"
8 }
9 ],
10 "pagination": {
11 "limit": 1,
12 "offset": 1,
13 "total": 1,
14 "has_more": true
15 }
16}

Paginated list of providers for the plan manager. Requires X-Plan-Manager-Id header.

Was this page helpful?
Previous

Create provider

Next
Built with

Authentication

AuthorizationBearer
API key issued for your account. Send as Bearer token in the Authorization header.
X-Plan-Manager-Idstring
Plan manager UUID. Required on all public API requests to scope data access.

Query parameters

limitintegerOptional1-100Defaults to 20
Items per page
offsetintegerOptional>=0Defaults to 0
Number of items to skip

Response

List of providers
datalist of objects
paginationobject

Errors

400
Bad Request Error
403
Forbidden Error
500
Internal Server Error